com.genesyslab.wfm7.API.service.schedule761

## Class SchSource

- java.lang.Object
- - com.genesyslab.wfm7.API.service.schedule761.SchSource

- All Implemented Interfaces:
    java.io.Serializable

      public class SchSource
      extends java.lang.Object
      implements java.io.Serializable

  Defines Schedule Source
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `source` Specifies schedule source `ESchSource`
    `private int[]` | `sourceID` Used to specify `ESchSourceID` when source = ESchSource.SCH_SOURCE_DEFINED is used.
    `private int` | `sourceIDNSizeIs` A number of elements in sourceID array

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchSource()`
    `SchSource(int source, int sourceIDNSizeIs, int[] sourceID)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getSource()` Gets the source value for this SchSource.
    `int[]` | `getSourceID()` Gets the sourceID value for this SchSource.
    `int` | `getSourceIDNSizeIs()` Gets the sourceIDNSizeIs value for this SchSource.
    `void` | `setSource(int source)` Sets the source value for this SchSource.
    `void` | `setSourceID(int[] sourceID)` Sets the sourceID value for this SchSource.
    `void` | `setSourceIDNSizeIs(int sourceIDNSizeIs)` Sets the sourceIDNSizeIs value for this SchSource.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### source

          private int source

      Specifies schedule source `ESchSource`

    - #### sourceIDNSizeIs

          private int sourceIDNSizeIs

      A number of elements in sourceID array

    - #### sourceID

          private int[] sourceID

      Used to specify `ESchSourceID` when source = ESchSource.SCH_SOURCE_DEFINED is used. It allows to retrieve schedule from several different sources in one request. To retrieve user pending schedules specify User ID(s) as a source ID. However, if source is ESchSource.SCH_SOURCE_DEFINED and sourceID array is left empty, server returns all user pending schedules plus agents' pending schedules.

  - ### Constructor Detail

    - #### SchSource

          public SchSource()

    - #### SchSource

          public SchSource(int source,
                   int sourceIDNSizeIs,
                   int[] sourceID)

  - ### Method Detail

    - #### getSource

          public int getSource()

      Gets the source value for this SchSource.
      Returns:
        source

    - #### setSource

          public void setSource(int source)

      Sets the source value for this SchSource.
      Parameters:
        `source` -

    - #### getSourceIDNSizeIs

          public int getSourceIDNSizeIs()

      Gets the sourceIDNSizeIs value for this SchSource.
      Returns:
        sourceIDNSizeIs

    - #### setSourceIDNSizeIs

          public void setSourceIDNSizeIs(int sourceIDNSizeIs)

      Sets the sourceIDNSizeIs value for this SchSource.
      Parameters:
        `sourceIDNSizeIs` -

    - #### getSourceID

          public int[] getSourceID()

      Gets the sourceID value for this SchSource.
      Returns:
        sourceID

    - #### setSourceID

          public void setSourceID(int[] sourceID)

      Sets the sourceID value for this SchSource.
      Parameters:
        `sourceID` -

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.